import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {CampusBasicInfoResponse} from "@api/v1/campusBasicInfoResponse";
import {CampusDetailsResponse} from "@api/v1/campusDetailsResponse";

@Injectable()
export class CampusService extends ApiService {
  protected basePath = 'Campus/';
  protected version = AvailableVersion.v1;

  public getCampus() {
    return this.get<CampusBasicInfoResponse[]>();
  }

  public getById(id: number) {
    return this.get<CampusDetailsResponse>(id.toString());
  }
}
