import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {FacultyResponse} from "@api/v1/facultyResponse";
import {FacultyDetailsResponse} from "@api/v1/facultyDetailsResponse";

@Injectable()
export class FacultyService extends ApiService {
  protected basePath = 'Faculty/';
  protected version = AvailableVersion.v1;

  public getFaculties(page: number | null = null, pageSize: number | null = null) {
    return this.get<FacultyResponse[]>('', {page: page, pageSize: pageSize});

  }

  public getById(id: number) {
    return this.get<FacultyDetailsResponse>(id.toString());
  }
}
