import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {ProfessorResponse} from "@api/v1/professorResponse";

@Injectable()
export class ProfessorService extends ApiService {
  protected basePath = 'Professor/';
  protected version = AvailableVersion.v1;

  public getProfessors(page: number | null = null, pageSize: number | null = null) {
    return this.get<ProfessorResponse[]>('', {page: page, pageSize: pageSize});
  }

  public getById(id: number) {
    return this.get<ProfessorResponse>(id.toString());
  }
}
