/**
 * MIREA Schedule Web API
 * This API provides a convenient interface for retrieving data stored in the database. Special attention was paid to the lightweight and easy transfer of all necessary data. Made by the Winsomnia team.
 *
 * OpenAPI spec version: 1.0
 * Contact: support@winsomnia.net
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { DayOfWeek } from '@model/dayOfWeek';

/**
 * Represents information about a specific schedule entry for a professor.
 */
export interface DisciplineScheduleInfo {
    dayOfWeek: DayOfWeek;
    /**
     * Gets or sets the pair number for the schedule entry.
     */
    pairNumber: number;
    /**
     * Gets or sets a value indicating whether the pair is on an even week.
     */
    isEven: boolean;
    /**
     * Gets or sets the type of occupation for the schedule entry.
     */
    typeOfOccupation: Array<string>;
    /**
     * Gets or sets the names of the group for the schedule entry.
     */
    group: string;
    /**
     * Gets or sets the IDs of the group for the schedule entry.
     */
    groupId: number;
    /**
     * Gets or sets the names of the lecture halls for the schedule entry.
     */
    lectureHalls: Array<string>;
    /**
     * Gets or sets the IDs of the lecture halls for the schedule entry.
     */
    lectureHallsId: Array<number>;
    /**
     * Gets or sets the names of the professors for the schedule entry.
     */
    professors: Array<string>;
    /**
     * Gets or sets the IDs of the professors for the schedule entry.
     */
    professorsId: Array<number>;
    /**
     * Gets or sets the names of the campuses for the schedule entry.
     */
    campus: Array<string>;
    /**
     * Gets or sets the IDs of the campuses for the schedule entry.
     */
    campusId: Array<number>;
    /**
     * Gets or sets the links to online meetings for the schedule entry.
     */
    linkToMeet: Array<string>;
}
